Subject: bug#14729: 24.3.50; Isearch oddity

From: Dani Moncayo <[email-masked]>
Date: Thu, 27 Jun 2013 11:58:59 +0200

Recipe from "emacs -Q":
  M-< b u f C-s C-s f e r

After that, the echo area indicates that, in the current Isearch, I'm
looking for "buffer", and I've found the "buf" part, but not the
remaining "fer".

That makes no sense, because that cannot happen in the current buffer,
where every instance of "buf" is followed by a "fer".

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-06-24 on LEG570
Bzr revision: 113160 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/usr --enable-checking CFLAGS='-O0 -g3'
 CPPFLAGS='-DGLYPH_DEBUG=1 -I/c/usr/include''

--
Dani Moncayo